Bug 1420133 - Ordering of Saved Chargeback reports needs to be reversed
Summary: Ordering of Saved Chargeback reports needs to be reversed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Hilda Stastna
QA Contact: Nandini Chandra
URL:
Whiteboard: report:chargeback
Depends On:
Blocks: 1430439
TreeView+ depends on / blocked
 
Reported: 2017-02-07 23:29 UTC by Nandini Chandra
Modified: 2017-06-12 16:59 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1430439 (view as bug list)
Environment:
Last Closed: 2017-06-12 16:59:05 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
Chargeback report ordering (95.55 KB, image/png)
2017-02-08 04:40 UTC, Nandini Chandra
no flags Details

Description Nandini Chandra 2017-02-07 23:29:27 UTC
Description of problem:
------------------------
Saved Chargeback reports can be accessed in two different places:
1)Cloud Intel ->Chargeback -> Reports.
2)Cloud Intel ->Reports -> Saved Reports.

On the Cloud Intel ->Chargeback -> Reports page, the last run report is listed at the bottom.This ordering needs be reversed and the last run report should be listed at the top.

The ordering of the reports is fine on the Cloud Intel ->Reports -> Saved Reports page.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
5.7.1


How reproducible:
-----------------
Always


Steps to Reproduce:
-------------------
1.Manage a provider.
2.Enable C&U collection for the provider.
3.Run a Chargeback provider for VMs.


Actual results:
---------------
The last run Chargeback report is listed at the bottom.


Expected results:
-----------------
The last run Chargeback report should be listed at the top.


Additional info:
----------------

Comment 2 Nandini Chandra 2017-02-08 04:40:37 UTC
Created attachment 1248542 [details]
Chargeback report ordering

Comment 3 Hilda Stastna 2017-02-22 16:05:31 UTC
fixing https://github.com/ManageIQ/manageiq-ui-classic/pull/454

Comment 5 Nandini Chandra 2017-03-08 22:54:04 UTC
Verified in 5.8.0.3


Note You need to log in before you can comment on or make changes to this bug.